<script lang="ts" setup>
import type { Page, Picture } from '~/entities';

const route = useRoute();

const pageNumber = computed(() => Number(route.query.pageNumber || 0));

const { data, refresh } = useFetch<Page<Picture>>('http://localhost:8080/api/picture',{
  query: {pageNumber, pageSize: 4},
  
});

</script>

<template>
  <div>
    <h1>Welcome to Simplongram</h1>
    <button @click="refresh()" class="btn btn-secondary"><i class="bi bi-arrow-clockwise"></i></button>
    <div>
      <NuxtLink :to="{query:{pageNumber:pageNumber-1}}" v-if="!data?.first">Previous</NuxtLink>
      <NuxtLink :class="{'text-black':pageNumber == item-1}" :to="{query:{pageNumber:item-1}}" v-for="item of data?.totalPages">{{ item }}</NuxtLink>
      <NuxtLink :to="{query:{pageNumber:pageNumber+1}}" v-if="!data?.last">Next</NuxtLink>
      <ListPicture v-if="data" :list="data.content" />
    </div>
  </div>
</template>

<style scoped></style>
